﻿using ServerOperations.Models;
using Syncfusion.JavaScript;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace ServerOperations.Controllers
{
    public class OrdersController : ApiController
    {

        // GET api/orders
        NorthwindDataContext db = new NorthwindDataContext();
        [HttpPost]
        public DataResult Post(DataManager dm)
        {
            DataResult result = new DataResult();
            result.result = db.Orders.Skip(dm.Skip).Take(dm.Take).ToList();
            result.count = db.Orders.Count();
            return result;
        }

         //GET api/orders/5
        [HttpGet]
        public string Get(int id)
        {
            return "value";
        }
        public class DataResult
        {
            public IEnumerable<Order> result { get; set; }
            public int count { get; set; }
        }

        
        // PUT api/orders/5
        [HttpPut]
        public void Put(Order value)
        {
            Order ord = (Order)db.Orders.Single(s => s.OrderID == value.OrderID);

            ord.OrderID = value.OrderID;
            ord.CustomerID = value.CustomerID;
            ord.EmployeeID = value.EmployeeID;
            ord.OrderDate = value.OrderDate;
            ord.ShipCity = value.ShipCity;
            ord.ShipCountry = value.ShipCountry;
            ord.Freight = value.Freight;
            ord.ShipName = value.ShipName;


            db.SubmitChanges();
        }

        // DELETE api/orders/5
        [HttpDelete]
        public void Delete(int id)
        {
            Order ord = (Order)db.Orders.Single(s => s.OrderID == id);

            db.Orders.DeleteOnSubmit(ord);

            db.SubmitChanges();
        }
    }
}
